| OrbbecSDK 1.10.18 OrbbecSDK: Software-Development-Kit for Orbbec 3D Cameras

Loading...
Searching...
No Matches
Functions
StreamProfile.h File Reference

The stream profile related type is used to get information such as the width, height, frame rate, and format of the stream. More...

`#include "ObTypes.h"`

Go to the source code of this file.

## Functions
ob_format | ob_stream_profile_format (ob_stream_profile *profile, ob_error **error)
| Get stream profile format.
ob_stream_type | ob_stream_profile_type (ob_stream_profile *profile, ob_error **error)
| Get stream profile type.
ob_extrinsic | ob_stream_profile_get_extrinsic_to (ob_stream_profile *source, ob_stream_profile *target, ob_error **error)
| Get the extrinsic for source stream to target stream.
uint32_t | ob_video_stream_profile_fps (ob_stream_profile *profile, ob_error **error)
| Get the frame rate of the video stream.
uint32_t | ob_video_stream_profile_width (ob_stream_profile *profile, ob_error **error)
| Get the width of the video stream.
uint32_t | ob_video_stream_profile_height (ob_stream_profile *profile, ob_error **error)
| Get the height of the video stream.
ob_camera_intrinsic | ob_video_stream_get_intrinsic (ob_stream_profile *profile, ob_error **error)
| Get the intrinsic of the video stream.
ob_camera_distortion | ob_video_stream_get_distortion (ob_stream_profile *profile, ob_error **error)
| Get the distortion of the video stream.
ob_accel_full_scale_range | ob_accel_stream_profile_full_scale_range (ob_stream_profile *profile, ob_error **error)
| Get the full-scale range of the accelerometer stream.
ob_accel_sample_rate | ob_accel_stream_profile_sample_rate (ob_stream_profile *profile, ob_error **error)
| Get the sampling frequency of the accelerometer frame.
ob_accel_intrinsic | ob_accel_stream_profile_get_intrinsic (ob_stream_profile *profile, ob_error **error)
| Get the intrinsic of the accelerometer stream.
ob_gyro_full_scale_range | ob_gyro_stream_profile_full_scale_range (ob_stream_profile *profile, ob_error **error)
| Get the full-scale range of the gyroscope stream.
ob_gyro_intrinsic | ob_gyro_stream_get_intrinsic (ob_stream_profile *profile, ob_error **error)
| Get the intrinsic of the gyroscope stream.
ob_gyro_sample_rate | ob_gyro_stream_profile_sample_rate (ob_stream_profile *profile, ob_error **error)
| Get the sampling frequency of the gyroscope stream.
ob_stream_profile * | ob_stream_profile_list_get_video_stream_profile (ob_stream_profile_list *profile_list, int width, int height, ob_format format, int fps, ob_error **error)
| Match the corresponding ob_stream_profile through the passed parameters. If there are multiple matches, the first one in the list will be returned by default. If no matched profile is found, an error will be returned.
ob_stream_profile * | ob_stream_profile_list_get_accel_stream_profile (ob_stream_profile_list *profile_list, ob_accel_full_scale_range fullScaleRange, ob_accel_sample_rate sampleRate, ob_error **error)
| Match the corresponding ob_stream_profile through the passed parameters. If there are multiple matches, the first one in the list will be returned by default. If no matched profile is found, an error will be returned.
ob_stream_profile * | ob_stream_profile_list_get_gyro_stream_profile (ob_stream_profile_list *profile_list, ob_gyro_full_scale_range fullScaleRange, ob_gyro_sample_rate sampleRate, ob_error **error)
| Match the corresponding ob_stream_profile through the passed parameters. If there are multiple matches, the first one in the list will be returned by default. If no matched profile is found, an error will be returned.
ob_stream_profile * | ob_stream_profile_list_get_profile (ob_stream_profile_list *profile_list, int index, ob_error **error)
| Get the corresponding StreamProfile by subscripting.
uint32_t | ob_stream_profile_list_count (ob_stream_profile_list *profile_list, ob_error **error)
| Get the number of StreamProfile lists.
void | ob_delete_stream_profile_list (ob_stream_profile_list *profile_list, ob_error **error)
| Delete the stream profile list.
void | ob_delete_stream_profile (ob_stream_profile *profile, ob_error **error)
| Delete the stream configuration.

## Detailed Description

The stream profile related type is used to get information such as the width, height, frame rate, and format of the stream.

Definition in file StreamProfile.h.

## Function Documentation

## ◆ ob_stream_profile_format()

ob_format ob_stream_profile_format | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get stream profile format.

Parameters

  [in] | profile | Stream profile object
  [out] | error | Log error messages

Returns
  ob_format return the format of the stream

## ◆ ob_stream_profile_type()

ob_stream_type ob_stream_profile_type | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get stream profile type.

Parameters

  [in] | profile | Stream profile object
  [out] | error | Log error messages

Returns
  ob_stream_type stream type

## ◆ ob_stream_profile_get_extrinsic_to()

ob_extrinsic ob_stream_profile_get_extrinsic_to | ( | ob_stream_profile * | source,
|  | ob_stream_profile * | target,
|  | ob_error ** | error
| ) |  |

Get the extrinsic for source stream to target stream.

Parameters

  source | Source stream profile
  target | Target stream profile
  error | Log error messages

Returns
  ob_extrinsic The extrinsic

## ◆ ob_video_stream_profile_fps()

uint32_t ob_video_stream_profile_fps | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get the frame rate of the video stream.

Parameters

  [in] | profile | Stream profile object
  [out] | error | Log error messages

Returns
  uint32_t return the frame rate of the stream

## ◆ ob_video_stream_profile_width()

uint32_t ob_video_stream_profile_width | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get the width of the video stream.

Parameters

  [in] | profile | Stream profile object , If the profile is not a video stream configuration, an error will be returned
  [out] | error | Log error messages

Returns
  uint32_t return the width of the stream

## ◆ ob_video_stream_profile_height()

uint32_t ob_video_stream_profile_height | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get the height of the video stream.

Parameters

  [in] | profile | Stream profile object , If the profile is not a video stream configuration, an error will be returned
  [out] | error | Log error messages

Returns
  uint32_t return the height of the stream

## ◆ ob_video_stream_get_intrinsic()

ob_camera_intrinsic ob_video_stream_get_intrinsic | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get the intrinsic of the video stream.

Parameters

  profile | Stream profile object
  error | Log error messages

Returns
  ob_camera_intrinsic Return the intrinsic of the stream

## ◆ ob_video_stream_get_distortion()

ob_camera_distortion ob_video_stream_get_distortion | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get the distortion of the video stream.

Parameters

  profile | Stream profile object
  error | Log error messages

Returns
  ob_camera_distortion Return the distortion of the stream

## ◆ ob_accel_stream_profile_full_scale_range()

ob_accel_full_scale_range ob_accel_stream_profile_full_scale_range | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get the full-scale range of the accelerometer stream.

Parameters

  [in] | profile | Stream profile object. If the profile is not for the accelerometer stream, an error will be returned.
  [out] | error | Log error messages.

Returns
  The full-scale range of the accelerometer stream.

## ◆ ob_accel_stream_profile_sample_rate()

ob_accel_sample_rate ob_accel_stream_profile_sample_rate | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get the sampling frequency of the accelerometer frame.

Parameters

  [in] | profile | Stream profile object. If the profile is not for the accelerometer stream, an error will be returned.
  [out] | error | Log error messages.

Returns
  The sampling frequency of the accelerometer frame.

## ◆ ob_accel_stream_profile_get_intrinsic()

ob_accel_intrinsic ob_accel_stream_profile_get_intrinsic | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get the intrinsic of the accelerometer stream.

Parameters

  profile | Stream profile object. If the profile is not for the accelerometer stream, an error will be returned.
  error | Log error messages.

Returns
  ob_accel_intrinsic Return the intrinsic of the accelerometer stream.

## ◆ ob_gyro_stream_profile_full_scale_range()

ob_gyro_full_scale_range ob_gyro_stream_profile_full_scale_range | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get the full-scale range of the gyroscope stream.

Parameters

  [in] | profile | Stream profile object. If the profile is not for the gyroscope stream, an error will be returned.
  [out] | error | Log error messages.

Returns
  The full-scale range of the gyroscope stream.

## ◆ ob_gyro_stream_get_intrinsic()

ob_gyro_intrinsic ob_gyro_stream_get_intrinsic | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get the intrinsic of the gyroscope stream.

Parameters

  profile | Stream profile object. If the profile is not for the gyroscope stream, an error will be returned.
  error | Log error messages.

Returns
  ob_gyro_intrinsic Return the intrinsic of the gyroscope stream.

## ◆ ob_gyro_stream_profile_sample_rate()

ob_gyro_sample_rate ob_gyro_stream_profile_sample_rate | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Get the sampling frequency of the gyroscope stream.

Parameters

  [in] | profile | Stream profile object. If the profile is not for the gyroscope stream, an error will be returned.
  [out] | error | Log error messages.

Returns
  The sampling frequency of the gyroscope stream.

## ◆ ob_stream_profile_list_get_video_stream_profile()

ob_stream_profile * ob_stream_profile_list_get_video_stream_profile | ( | ob_stream_profile_list * | profile_list,
|  | int | width,
|  | int | height,
|  | ob_format | format,
|  | int | fps,
|  | ob_error ** | error
| ) |  |

Match the corresponding ob_stream_profile through the passed parameters. If there are multiple matches, the first one in the list will be returned by default. If no matched profile is found, an error will be returned.

Parameters

  [in] | profile_list | Resolution list.
  [in] | width | Width. If you don't need to add matching conditions, you can pass OB_WIDTH_ANY.
  [in] | height | Height. If you don't need to add matching conditions, you can pass OB_HEIGHT_ANY.
  [in] | format | Format. If you don't need to add matching conditions, you can pass OB_FORMAT_ANY.
  [in] | fps | Frame rate. If you don't need to add matching conditions, you can pass OB_FPS_ANY.
  [out] | error | Log error messages.

Returns
  The matching profile.

## ◆ ob_stream_profile_list_get_accel_stream_profile()

ob_stream_profile * ob_stream_profile_list_get_accel_stream_profile | ( | ob_stream_profile_list * | profile_list,
|  | ob_accel_full_scale_range | fullScaleRange,
|  | ob_accel_sample_rate | sampleRate,
|  | ob_error ** | error
| ) |  |

Match the corresponding ob_stream_profile through the passed parameters. If there are multiple matches, the first one in the list will be returned by default. If no matched profile is found, an error will be returned.

Parameters

  [in] | profile_list | Resolution list.
  [in] | fullScaleRange | Full-scale range. If you don't need to add matching conditions, you can pass 0.
  [in] | sampleRate | Sample rate. If you don't need to add matching conditions, you can pass 0.
  [out] | error | Log error messages.

Returns
  The matching profile.

## ◆ ob_stream_profile_list_get_gyro_stream_profile()

ob_stream_profile * ob_stream_profile_list_get_gyro_stream_profile | ( | ob_stream_profile_list * | profile_list,
|  | ob_gyro_full_scale_range | fullScaleRange,
|  | ob_gyro_sample_rate | sampleRate,
|  | ob_error ** | error
| ) |  |

Match the corresponding ob_stream_profile through the passed parameters. If there are multiple matches, the first one in the list will be returned by default. If no matched profile is found, an error will be returned.

Parameters

  [in] | profile_list | Resolution list.
  [in] | fullScaleRange | Full-scale range. If you don't need to add matching conditions, you can pass 0.
  [in] | sampleRate | Sample rate. If you don't need to add matching conditions, you can pass 0.
  [out] | error | Log error messages.

Returns
  The matching profile.

## ◆ ob_stream_profile_list_get_profile()

ob_stream_profile * ob_stream_profile_list_get_profile | ( | ob_stream_profile_list * | profile_list,
|  | int | index,
|  | ob_error ** | error
| ) |  |

Get the corresponding StreamProfile by subscripting.

Parameters

  [in] | profile_list | StreamProfile lists.
  [in] | index | Index.
  [out] | error | Log error messages.

Returns
  The matching profile.

## ◆ ob_stream_profile_list_count()

uint32_t ob_stream_profile_list_count | ( | ob_stream_profile_list * | profile_list,
|  | ob_error ** | error
| ) |  |

Get the number of StreamProfile lists.

Parameters

  [in] | profile_list | StreamProfile list.
  [out] | error | Log error messages.

Returns
  The number of StreamProfile lists.

## ◆ ob_delete_stream_profile_list()

void ob_delete_stream_profile_list | ( | ob_stream_profile_list * | profile_list,
|  | ob_error ** | error
| ) |  |

Delete the stream profile list.

Parameters

  [in] | profile_list | Stream configuration list.
  [out] | error | Log error messages.

## ◆ ob_delete_stream_profile()

void ob_delete_stream_profile | ( | ob_stream_profile * | profile,
|  | ob_error ** | error
| ) |  |

Delete the stream configuration.

Parameters

  [in] | profile | Stream profile object .
  [out] | error | Log error messages.